<?php
// Exit if accessed directly
if ( !defined( 'ABSPATH' ) ) exit;

// BEGIN ENQUEUE PARENT ACTION
// AUTO GENERATED - Do not modify or remove comment markers above or below:

if ( !function_exists( 'chld_thm_cfg_parent_css' ) ):
    function chld_thm_cfg_parent_css() {
        wp_enqueue_style( 'chld_thm_cfg_parent', trailingslashit( get_template_directory_uri() ) . 'style.css', array(  ) );
    }
endif;
add_action( 'wp_enqueue_scripts', 'chld_thm_cfg_parent_css', 10 );

// END ENQUEUE PARENT ACTION

/*
 * EXAMPLE OF CHANGING ANY TEXT (STRING) IN THE EVENTS CALENDAR
 * See the codex to learn more about WP text domains:
 * http://codex.wordpress.org/Translating_WordPress#Localization_Technology
 * Example Tribe domains: 'tribe-events-calendar', 'tribe-events-calendar-pro'...
 */
function tribe_custom_theme_text ( $translation, $text, $domain ) {
 
	// Put your custom text here in a key => value pair
	// Example: 'Text you want to change' => 'This is what it will be changed to'
	// The text you want to change is the key, and it is case-sensitive
	// The text you want to change it to is the value
	// You can freely add or remove key => values, but make sure to separate them with a comma
	// This example changes the label "Venue" to "Location", and "Related Events" to "Similar Events"
	$custom_text = array(
		'Tickets' => 'Entries',
		'Attendee' => 'Entrant',
		'Out of stock!' => 'Full',
	);
 
	// If this text domain starts with "tribe-", "the-events-", or "event-" and we have replacement text
    	if( (strpos($domain, 'tribe-') === 0 || strpos($domain, 'the-events-') === 0 || strpos($domain, 'event-') === 0) && array_key_exists($translation, $custom_text) ) {
		$translation = $custom_text[$translation];
	}
    return $translation;
}
add_filter('gettext', 'tribe_custom_theme_text', 20, 3);


/*
 * WooCommerce: Remove Additional Fields on Checkout Page
 */
add_filter( 'woocommerce_enable_order_notes_field', '__return_false' );

/*
 * WooCommerce: Remove Company Name Field on Checkout Page
 */
add_filter( 'woocommerce_checkout_fields' , 'custom_override_checkout_fields' );
function custom_override_checkout_fields( $fields ) {
unset($fields['billing']['billing_address_2']);
unset($fields['billing']['billing_company']);
 
return $fields;
}

/* Redirect to the Thank You page after a purchase */
add_action( 'woocommerce_thankyou', 'bbloomer_redirectcustom');
 
function bbloomer_redirectcustom( $order_id ){
    $order = new WC_Order( $order_id );
 
    $url = 'http://harboursport.co.nz/thank-you/';
 
    if ( $order->status != 'failed' ) {
        wp_redirect($url);
        exit;
    }
}

/**
 * Auto Complete all WooCommerce orders.
 */
add_action( 'woocommerce_thankyou', 'custom_woocommerce_auto_complete_order' );
function custom_woocommerce_auto_complete_order( $order_id ) { 
    if ( ! $order_id ) {
        return;
    }

    $order = wc_get_order( $order_id );
    $order->update_status( 'completed' );
}

/**
 * Make WooCommerce cart Quantity input field non-editable (readonly) ONLY FOR Event Tickets Plus products
 *
 * By Matt B and Cliff P
 *
 * From https://gist.github.com/cliffordp/66bf05df61ee269c60ff20d6f39e2cab
 */
function cliff_etplus_woo_cart_quantity_readonly() {
    if ( ! class_exists( 'Tribe__Tickets_Plus__Commerce__WooCommerce__Main' ) ) {
        return;
    }
    $args = array(
        'post_type' => 'product',
        'fields' => 'ids',
        'meta_query' => array(
            array(
                'key' => Tribe__Tickets_Plus__Commerce__WooCommerce__Main::get_instance()->event_key,
                'value' => 0,
                'compare' => '>',
            ),
        ),
    );
    $product_ids_readonly = get_posts( $args );
    
    $product_ids_readonly = array_unique( $product_ids_readonly );
    if ( ! count( $product_ids_readonly ) ) {
        return;
    }
    wp_enqueue_script( 'jquery' );
    ?>
    <script>
        jQuery( function( $ ) {
            var product_ids = <?php echo json_encode( $product_ids_readonly ); ?>;
            var $remove_links = $( 'body.woocommerce-cart .woocommerce tr.cart_item td.product-remove a' );
            $remove_links.each( function() {
                var product_id = parseInt( $( this ).data( 'product_id' ), 10 );
                if ( -1 === $.inArray( product_id, product_ids ) ) {
                    return;
                }
                var $row = $( this ).closest( 'tr' );
                $row.find( 'td.product-quantity input' ).attr( 'readonly', true );
            } );
        } );
    </script>
    <?php
}
add_action( 'wp_head', 'cliff_etplus_woo_cart_quantity_readonly' );